org.apache.solr.client.solrj.cloud.autoscaling

## Class SealedClause

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Clause
  - - org.apache.solr.client.solrj.cloud.autoscaling.SealedClause

All Implemented Interfaces:
  Comparable<Clause>, MapSerializable, MapWriter

    public class SealedClause
    extends Clause

This clause is an instance with no conditions with computed value. every value is computed just in time

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Clause

`Clause.ComputedValueEvaluator`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Clause

`METRICS_PREFIX`

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Clause

`compareTo, create, create, doesOverride, equals, getCollection, getGlobalTag, getReplica, getSealedClause, getShard, getTag, isMatch, isPerCollectiontag, isStrict, parseDouble, parseLong, parseString, test, throwExp, toString, validate, writeMap`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`